Skip to content

Batch Fetch Tasks

POST https://www.kkiai.com/suno/fetch

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
clip_idstringRequiredSong ID after extend
is_infillstringRequired

Request Example

json
{
    "ids": [
        "b4914cbe-f738-4813-8ac9-4194ae362bed",
        "ccb61d4a-701d-4ef2-b23c-c3ff950fc3b5",
        "276677a3-bd50-4388-83c9-39ce18f7041f"
        ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/fetch' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": [
        "b4914cbe-f738-4813-8ac9-4194ae362bed",
        "ccb61d4a-701d-4ef2-b23c-c3ff950fc3b5",
        "276677a3-bd50-4388-83c9-39ce18f7041f"
        ]
}'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "47443cc1-4902-42ae-ae7f-72a9900544e9",
    "message": ""
}